//  7 inch Touchscreen Display Stand for Raspberry Pi with UDRC. Copyright © 2017 Herb Weiner. All rights reserved.

Inches = 25.4;  //  Inches to mm
Thickness = 0.125 * Inches;
Height = 1.5 * Inches;
Width = 0.6 * Inches;
Hole = 0.225 * Inches;
Delta = 0.01 * Inches;
Nut = 0.375 * Inches;

module disc ()
{
	difference ()
	{
		union ()
		{
			cylinder (h = Thickness, r = Width / 2, $fn = 360);
			translate ([-Width / 2, 0, 0]) cube ([Width, Width / 2, Thickness]);
		}

		translate ([0, 0, -Delta]) cylinder (h = Thickness + 2 * Delta, r = Hole / 2, $fn = 360);
	}
}

disc ();
translate ([0, 0, 2 * Thickness]) disc ();
translate ([0, 0, 4 * Thickness]) difference ()
{
	disc ();

	translate ([0, 0, Thickness / 2]) cylinder (h = Thickness / 2 + Delta, r = Nut / 2, $fn = 6);
}

rotate ([0, 0, 180]) translate ([0, -Height, 0])
{
	translate ([0, 0, 1 * Thickness]) disc ();
	translate ([0, 0, 3 * Thickness]) disc ();
}

translate ([-Width / 2, Width / 2, 0]) cube ([Width, Height - Width, 5 * Thickness]);
