//  7 inch Touchscreen Display Stand for Raspberry Pi with UDRC. Copyright © 2017 Herb Weiner. All rights reserved.

Inches = 25.4;  //  Inches to mm
Thickness = 0.125 * Inches;
Height = 1.5 * Inches;
Width = 0.6 * Inches;
Hole = 0.225 * Inches;
Delta = 0.01 * Inches;

NutTolerance = 1.05;	//	Make the hole for the nut 5% bigger than the nut

//	10-32 Hex Nuts come in at least two sizes. The small size was supplied with the SmartiPi Touch
//	Case for the Raspberry Pi 7 inch Touchscreen Display. The large size is more readily available.
SmallNutFlatSize = 0.310 * Inches;
LargeNutFlatSize = 0.365 * Inches;

NutFlatSize = LargeNutFlatSize;

//	The above measurements are flat side to flat side. The Diameter is FlatSize / sin (60).
NutDiameter = (NutFlatSize / sin (60)) * NutTolerance;

module disc ()
{
	difference ()
	{
		union ()
		{
			cylinder (h = Thickness, r = Width / 2, $fn = 360);
			translate ([-Width / 2, 0, 0]) cube ([Width, Width / 2, Thickness]);
		}

		translate ([0, 0, -Delta]) cylinder (h = Thickness + 2 * Delta, r = Hole / 2, $fn = 360);
	}
}

disc ();
translate ([0, 0, 2 * Thickness]) disc ();
translate ([0, 0, 4 * Thickness]) difference ()
{
	disc ();

	translate ([0, 0, Thickness / 2]) cylinder (h = Thickness / 2 + Delta, r = NutDiameter / 2, $fn = 6);
}

rotate ([0, 0, 180]) translate ([0, -Height, 0])
{
	translate ([0, 0, 1 * Thickness]) disc ();
	translate ([0, 0, 3 * Thickness]) disc ();
}

translate ([-Width / 2, Width / 2, 0]) cube ([Width, Height - Width, 5 * Thickness]);
